Bug 1123473 - Remove reference to 'system' in hammer host-collection helptexts
Summary: Remove reference to 'system' in hammer host-collection helptexts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Dustin Tsang
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 19:14 UTC by sthirugn@redhat.com
Modified: 2016-04-22 16:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:20:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6894 None None None 2016-04-22 16:20:36 UTC
Red Hat Bugzilla 1103039 None None None Never
Red Hat Bugzilla 1103073 None None None Never

Internal Links: 1103039 1103073

Description sthirugn@redhat.com 2014-07-25 19:14:06 UTC
Description of problem:
Remove reference to 'system' in hammer host-collection helptexts

Version-Release number of selected component (if applicable):
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.32-1.el6sat.noarch
* foreman-compute-1.6.0.32-1.el6sat.noarch
* foreman-gce-1.6.0.32-1.el6sat.noarch
* foreman-libvirt-1.6.0.32-1.el6sat.noarch
* foreman-ovirt-1.6.0.32-1.el6sat.noarch
* foreman-postgresql-1.6.0.32-1.el6sat.noarch
* foreman-proxy-1.6.0.22-1.el6sat.noarch
* foreman-selinux-1.6.0.3-1.el6sat.noarch
* foreman-vmware-1.6.0.32-1.el6sat.noarch
* katello-1.5.0-27.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.56-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
* pulp-server-2.4.0-0.23.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

How reproducible:
Always

Steps to Reproduce:

Scenario 1:
hammer> host-collection add-content-host --help
...
    --content-host-ids CONTENT_HOST_IDS Array of system ids
                                  Comma separated list of values.
    ...

Scenario 2:
hammer> host-collection create --help
...
    --content-host-ids CONTENT_HOST_IDS List of system uuids to be in the host collection
                                  Comma separated list of values.
    ...  
    --host-collection-ids HOST_COLLECTION_IDS Array of system ids to replace the content hosts in host collection
                                  Comma separated list of values.
    ...

Scenario 3:
hammer> host-collection remove-content-host --help
...
    --content-host-ids CONTENT_HOST_IDS Array of system ids
                                  Comma separated list of values.
    ...


Scenario 4: 
hammer> host-collection update --help
...
    --content-host-ids CONTENT_HOST_IDS List of system uuids to be in the host collection
                                  Comma separated list of values.
    --host-collection-ids HOST_COLLECTION_IDS Array of system ids to replace the content hosts in host collection
                                  Comma separated list of values.
...

Scenario 5:
hammer> host-collection --help
...
Subcommands:
    add-content-host              Add systems to the host collection
    ... 
    remove-content-host           Remove systems from the host collection
    ...

Actual results:


Expected results:


Additional info:

Comment 2 Dustin Tsang 2014-08-01 20:52:11 UTC
Created redmine issue http://projects.theforeman.org/issues/6894 from this bug

Comment 3 Bryan Kearney 2014-08-04 20:05:00 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6894 has been closed
-------------
dustin tsang
Applied in changeset commit:hammer-cli-katello|3e20ff59314be664ecbde31894fa7dd5510c2f13.

Comment 5 Dustin Tsang 2014-08-06 21:22:55 UTC
Bug fix also includes an additional commit
https://github.com/Katello/katello/pull/4520 in katello d432289b9dc6f9cfef6351e229dc449464711f63

Comment 7 sthirugn@redhat.com 2014-08-07 15:57:11 UTC
Failed.

hammer> host-collection add-content-host --help
Usage:
     host-collection add-content-host [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS Array of system ids
                                  Comma separated list of values.
    --id ID                       Id of the host collection
    --name NAME                   Host collection name to search by
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    -h, --help                    print help
hammer> host-collection create --help
Usage:
     host-collection create [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS List of system uuids to be in the host collection
                                  Comma separated list of values.
    --description DESCRIPTION      
    --host-collection-ids HOST_COLLECTION_IDS Array of system ids to replace the content hosts in host collection
                                  Comma separated list of values.
    --max-content-hosts MAX_CONTENT_HOSTS Maximum number of content hosts in the host collection
    --name NAME                   Host Collection name
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    --unlimited-content-hosts UNLIMITED_CONTENT_HOSTS Whether or not the host collection may have unlimited content hosts
    -h, --help                    print help
hammer> host-collection remove-content-host --help
Usage:
     host-collection remove-content-host [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS Array of system ids
                                  Comma separated list of values.
    --id ID                       Id of the host collection
    --name NAME                   Host collection name to search by
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    -h, --help                    print help
hammer> host-collection update --help
Usage:
     host-collection update [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS List of system uuids to be in the host collection
                                  Comma separated list of values.
    --description DESCRIPTION      
    --host-collection-ids HOST_COLLECTION_IDS Array of system ids to replace the content hosts in host collection
                                  Comma separated list of values.
    --id ID                       Id of the host collection
    --max-content-hosts MAX_CONTENT_HOSTS Maximum number of content hosts in the host collection
    --name NAME                   Host collection name to search by
    --new-name NEW_NAME           Host Collection name
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    --unlimited-content-hosts UNLIMITED_CONTENT_HOSTS Whether or not the host collection may have unlimited content hosts
    -h, --help                    print help
hammer> host-collection --help
Usage:
     host-collection [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
    SUBCOMMAND                    subcommand
    [ARG] ...                     subcommand arguments

Subcommands:
    add-content-host              Add systems to the host collection
    content-hosts                 List content hosts in the host collection
    copy                          Make copy of a host collection
    create                        Create a host collection
    delete                        Destroy a host collection
    info                          Show a host collection
    list                          List host collections
    remove-content-host           Remove systems from the host collection
    update                        Update a host collection

Options:
    -h, --help                    print help


Version Tested:
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

Comment 8 Dustin Tsang 2014-08-11 21:25:23 UTC
This commit got missed the first time downstream.
https://github.com/Katello/katello/pull/4520 in katello d432289b9dc6f9cfef6351e229dc449464711f63

Comment 11 sthirugn@redhat.com 2014-08-14 04:51:01 UTC
Verified. All the system references are now changed to content hosts.

hammer> host-collection add-content-host --help
Usage:
     host-collection add-content-host [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS Array of content host ids
    --id ID                       Id of the host collection
    --name NAME                   Host collection name to search by
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    -h, --help                    print help


hammer> host-collection create --help
Usage:
     host-collection create [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS List of content host uuids to be in the host collection
    --description DESCRIPTION      
    --host-collection-ids HOST_COLLECTION_IDS Array of content host ids to replace the content hosts in host collection
                                  Comma separated list of values.
    --max-content-hosts MAX_CONTENT_HOSTS Maximum number of content hosts in the host collection
    --name NAME                   Host Collection name
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    --unlimited-content-hosts UNLIMITED_CONTENT_HOSTS Whether or not the host collection may have unlimited content hosts
    -h, --help                    print help



hammer> host-collection remove-content-host --help
Usage:
     host-collection remove-content-host [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS Array of content host ids
    --id ID                       Id of the host collection
    --name NAME                   Host collection name to search by
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    -h, --help                    print help



hammer> host-collection update --help
Usage:
     host-collection update [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS List of content host uuids to be in the host collection
    --description DESCRIPTION      
    --host-collection-ids HOST_COLLECTION_IDS Array of content host ids to replace the content hosts in host collection
                                  Comma separated list of values.
    --id ID                       Id of the host collection
    --max-content-hosts MAX_CONTENT_HOSTS Maximum number of content hosts in the host collection
    --name NAME                   Host collection name to search by
    --new-name NEW_NAME           Host Collection name
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    --unlimited-content-hosts UNLIMITED_CONTENT_HOSTS Whether or not the host collection may have unlimited content hosts
    -h, --help                    print help



hammer> host-collection --help
Usage:
     host-collection [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
    SUBCOMMAND                    subcommand
    [ARG] ...                     subcommand arguments

Subcommands:
    add-content-host              Add content host to the host collection
    content-hosts                 List content hosts in the host collection
    copy                          Make copy of a host collection
    create                        Create a host collection
    delete                        Destroy a host collection
    info                          Show a host collection
    list                          List host collections
    remove-content-host           Remove content hosts from the host collection
    update                        Update a host collection

Options:
    -h, --help                    print help

Version Tested:
GA Snap 5 - Satellite-6.0.4-RHEL-6-20140813.2

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.40-1.el6sat.noarch
* foreman-compute-1.6.0.40-1.el6sat.noarch
* foreman-gce-1.6.0.40-1.el6sat.noarch
* foreman-libvirt-1.6.0.40-1.el6sat.noarch
* foreman-ovirt-1.6.0.40-1.el6sat.noarch
* foreman-postgresql-1.6.0.40-1.el6sat.noarch
* foreman-proxy-1.6.0.27-1.el6sat.noarch
* foreman-selinux-1.6.0.6-1.el6sat.noarch
* foreman-vmware-1.6.0.40-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.59-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 12 Bryan Kearney 2014-09-11 12:20:40 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.